Subject: Ticket Assigned - Late WWD / delivery 9561088779
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 27 Mar 2022 09:54:02 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Late WWD / delivery 9561088779 Rizwan                    Hi           01:48 PM, 27th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           01:48 PM, 27th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            01:48 PM, 27th Mar                     Rizwan                    9561088779           01:48 PM, 27th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            01:49 PM, 27th Mar                     Rizwan                    I received a call from delivery they still need more time to come           01:49 PM, 27th Mar                     Rizwan                    I’m waiting from morning 10 am           01:50 PM, 27th Mar                     Rizwan                    What is this           01:50 PM, 27th Mar                   Ahmed                   We deeply apologize for the experience you went through, and we would like to inform you that this is not the experience we would like our customers to have with us and that we seek to develop our services to have the best shopping experience with us next time.           01:52 PM, 27th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           01:52 PM, 27th Mar                     Rizwan                    Thanks.  Wait for the update           01:52 PM, 27th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4083792